org.apache.commons.math3.ode

## Class JacobianMatrices.MismatchedEquations

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.ode.JacobianMatrices.MismatchedEquations

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

Enclosing class:
  JacobianMatrices

    public static class JacobianMatrices.MismatchedEquations
    extends MathIllegalArgumentException

Special exception for equations mismatch.

Since:
  3.1
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable UID.

### Constructor Summary

Constructors
Constructor and Description
`JacobianMatrices.MismatchedEquations()` Simple constructor.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable UID.

See Also:
  Constant Field Values

### Constructor Detail

#### JacobianMatrices.MismatchedEquations

    public JacobianMatrices.MismatchedEquations()

Simple constructor.